Package groovy.util

# Interface ObjectGraphBuilder.RelationNameResolver

All Known Implementing Classes:
  `ObjectGraphBuilder.DefaultRelationNameResolver`

Enclosing class:
  `ObjectGraphBuilder`

public static interface ObjectGraphBuilder.RelationNameResolver
Strategy for resolving a relationship property name.

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveChildRelationName(String parentName, Object parent, String childName, Object child)`
Returns the mapping name of child -> parent
`String`
`resolveParentRelationName(String parentName, Object parent, String childName, Object child)`
Returns the mapping name of parent -> child

## Method Details

### resolveChildRelationName

String resolveChildRelationName(String parentName, Object parent, String childName, Object child)
Returns the mapping name of child -> parent

Parameters:
  `parentName` - the name of the parent node
  `parent` - the parent node
  `childName` - the name of the child node
  `child` - the child node

### resolveParentRelationName

String resolveParentRelationName(String parentName, Object parent, String childName, Object child)
Returns the mapping name of parent -> child

Parameters:
  `parentName` - the name of the parent node
  `parent` - the parent node
  `childName` - the name of the child node
  `child` - the child node